

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>


#include <DbgLog.h>



int main(int argc, char * * argv) {
	printf("SetFormat:\n") ;
	DbgLog_SetFormat("[%4n] %8k@%2l %s:%6u <%c> %4e:%r (%m)") ;
	printf("SetLogFd: ERR -> 2(stderr)\n") ;
	DbgLog_SetLogFd("ERR",2) ;
	printf("UpDbgLvl: ALL -> 0x0C(00001100)\n") ;
	DbgLog_UpDbgLvl(NULL,0x0C) ;
	DbgLog("main",NULL,0,"toto") ;
	DbgLog("main",NULL,1,"toto") ;
	DbgLog("main",NULL,2,"toto") ;
	DbgLog("main",NULL,3,"toto") ;
	printf("UpDbgLvl: ERR -> 0x1F(00011111)\n") ;
	DbgLog_UpDbgLvl("ERR",0x1F) ;
	DbgLog("main","ERR",0,"toto") ;
	DbgLog("main","ERR",1,"toto") ;
	DbgLog("main","ERR",2,"toto") ;
	DbgLog("main","ERR",3,"toto") ;
	printf("UpDbgLvl: NULL -> 0xFF(11111111)\n") ;
	DbgLog_UpDbgLvl(NULL,0xFF) ;
	DbgLog("main",NULL,0,"toto |%%.3d|%%.3d|%%.3d| |%.3d|%.3d|%.3d|",-3,0,3) ;
	DbgLog("main",NULL,0,"toto |%%03d|%%03d|%%03d| |%03d|%03d|%03d|",-3,0,3) ;
	DbgLog("main",NULL,0,"toto |%%3d|%%3d|%%3d|    |%3d|%3d|%3d|",-3,0,3) ;
	DbgLog("main",NULL,0,"toto |%%d|%%d|%%d|       |%d|%d|%d|",-3,0,3) ;
	DbgLog("main",NULL,0,"toto |%_5s|%5s|%s|","hara","kiri","koko") ;
	DbgLog("main",NULL,0,"toto |%_5s|%5s|%s|","harakami","kirinawa","kokomiko") ;
	printf("AddFatal: ERR -> 4 & 5\n") ;
	DbgLog_AddFatal("ERR",4) ;
	DbgLog_AddFatal("ERR",5) ;
	printf("DbgLog start\n") ;
	printf("DbgLog ALL: lev 1 / lev 2 (only lev 2 appears)\n") ;
	errno = 2 ;
	DbgLog("main",NULL,1,"toto %3d",-3) ;
	DbgLog("main",NULL,2,"toto %u",3) ;
	printf("UpDbgLvl: ALL -> 0x02(00000010)\n") ;
	DbgLog_UpDbgLvl(NULL,0x02) ;
	printf("DbgLog ALL: lev 1 / lev 2 (both appear)\n") ;
	errno = 4 ;
	DbgLog("main",NULL,1,"toto") ;
	DbgLog("main",NULL,2,"toto %u",3) ;
	printf("DbgLog ERR: lev 4\n") ;
	errno = 3 ;
	DbgLog("main","ERR",4,"toto %3d",-3) ;
	printf("DelFatal: ERR -> 4\n") ;
	DbgLog_DelFatal("ERR",4) ;
	errno = 4 ;
	printf("DbgLog: ALL/ERR with errno 4\n") ;
	DbgLog("main",NULL,2,"toto %3d",-3) ;
	DbgLog("main","ERR",4,"toto %u",3) ;
	errno = 5 ;
	printf("DbgLog: ALL/ERR with errno 5\n") ;
	DbgLog("main",NULL,2,"toto %3d",-3) ;
	DbgLog("main","ERR",4,"toto %u",3) ;
	printf("THE END\n") ;
	return  0 ;
}
